Last Comment Bug 731795 - MOZ_SOURCESTAMP_FILE shouldn't depend on MOZ_PKG_PRETTYNAMES
: MOZ_SOURCESTAMP_FILE shouldn't depend on MOZ_PKG_PRETTYNAMES
Status: RESOLVED FIXED
[Leave open after merge][qa-]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86_64 Mac OS X
: P2 normal (vote)
: mozilla14
Assigned To: Rail Aliiev [:rail]
:
Mentors:
: 740814 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 14:24 PST by Rail Aliiev [:rail]
Modified: 2012-07-11 10:47 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed


Attachments
ignore pretty names (1.69 KB, patch)
2012-02-29 14:44 PST, Rail Aliiev [:rail]
khuey: review+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
lukasblakk+bugs: approval‑mozilla‑esr10+
rail: checkin+
Details | Diff | Review
xulrunner related part (1.53 KB, patch)
2012-03-22 14:50 PDT, Rail Aliiev [:rail]
khuey: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
lukasblakk+bugs: approval‑mozilla‑esr10+
rail: checkin+
Details | Diff | Review

Description Rail Aliiev [:rail] 2012-02-29 14:24:19 PST
if you use MOZ_PKG_PRETTYNAMES=1, "make package" generates a sourcestamp file with pretty names (only for Mac), but the output goes to a different file. I don't think that we want this:

$ wget -O- -q http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/11.0b5-candidates/build1/mac/en-US/Firefox       
20120228210006 11.0b5.txt
http://hg.mozilla.org/releases/mozilla-beta/rev/8c9e4873d419 11.0b5.txt
Comment 1 Rail Aliiev [:rail] 2012-02-29 14:44:43 PST
Created attachment 601774 [details] [diff] [review]
ignore pretty names

Try run: https://tbpl.mozilla.org/?tree=Try&rev=923a9135681e
Comment 2 Rail Aliiev [:rail] 2012-02-29 16:43:26 PST
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

Try build looks good: https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/raliiev@mozilla.com-923a9135681e/
Comment 3 Rail Aliiev [:rail] 2012-03-08 11:59:37 PST
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

http://hg.mozilla.org/integration/mozilla-inbound/rev/14b18863a61c
Comment 4 Marco Bonardo [::mak] 2012-03-09 05:19:15 PST
https://hg.mozilla.org/mozilla-central/rev/14b18863a61c
Comment 5 Rail Aliiev [:rail] 2012-03-14 07:29:12 PDT
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

This patch can be reproduced only in release builds and doesn't affect any CI builds. Worked fine in m-c and staging release builds.

Regression caused by (bug #): the current bug
Testing completed (on m-c, etc.): tested in dev environment by running staging releases 
Risk to taking this patch (and alternatives if risky): very low
String changes made by this patch: none
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-03-14 07:47:22 PDT
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

[Triage comment]
Approved based on dev testing and low risk.
Comment 7 Rail Aliiev [:rail] 2012-03-14 11:45:04 PDT
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

http://hg.mozilla.org/releases/mozilla-beta/rev/e6540031ea08
Comment 9 Rail Aliiev [:rail] 2012-03-16 08:11:27 PDT
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

I would like to land this patch on m-r and esr10 branches. 12.0b1 release passed without any problems. The risk is very low since the patch contains only cosmetic changes.
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2012-03-21 13:53:01 PDT
Comment on attachment 601774 [details] [diff] [review]
ignore pretty names

[Triage Comment]
wfm. low risk, go for it.
Comment 12 Rail Aliiev [:rail] 2012-03-22 14:50:09 PDT
Created attachment 608485 [details] [diff] [review]
xulrunner related part

This is a followup patch, which can be descried as "nobody loves xulrunner!". :)

It is similar to attachment 602897 [details] [diff] [review] from bug 732963: MOZ_SOURCESTAMP_FILE should contain platform name in its name since we upload all file in one directory.
Comment 13 Rail Aliiev [:rail] 2012-03-23 04:54:57 PDT
Try (https://tbpl.mozilla.org/?tree=Try&rev=69c7ac90311a) and staging tests pass.
Comment 14 Rail Aliiev [:rail] 2012-03-27 12:06:32 PDT
Comment on attachment 608485 [details] [diff] [review]
xulrunner related part

http://hg.mozilla.org/integration/mozilla-inbound/rev/b25f7ea34460
Comment 15 Rail Aliiev [:rail] 2012-03-28 14:13:37 PDT
Comment on attachment 608485 [details] [diff] [review]
xulrunner related part

Merged from m-i: http://hg.mozilla.org/mozilla-central/rev/b25f7ea34460
Comment 16 Rail Aliiev [:rail] 2012-03-30 08:51:36 PDT
*** Bug 740814 has been marked as a duplicate of this bug. ***
Comment 17 Rail Aliiev [:rail] 2012-04-02 10:10:31 PDT
Comment on attachment 608485 [details] [diff] [review]
xulrunner related part

I would land this trivial patch to m-a, m-b, m-r and esr10

Regression caused by (bug #): the current bug, xulrunner overwrites sourcestamp files
User impact if declined: N/A, the files affected are not used by end users
Testing completed (on m-c, etc.): ran a couple of staging releases
Risk to taking this patch (and alternatives if risky): very low
String changes made by this patch: None
Comment 18 Lukas Blakk [:lsblakk] use ?needinfo 2012-04-02 16:14:10 PDT
Comment on attachment 608485 [details] [diff] [review]
xulrunner related part

Thanks for the thorough risk assessment :)
Comment 20 Rail Aliiev [:rail] 2012-04-05 07:09:30 PDT
All done here. Looks fine in 12.0b4
Comment 21 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-07-11 10:39:21 PDT
Rail, is there anything QA can do to verify this fix? Apart from checking for the changes in the source code of course.
Comment 22 Rail Aliiev [:rail] 2012-07-11 10:45:45 PDT
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #21)
> Rail, is there anything QA can do to verify this fix? Apart from checking
> for the changes in the source code of course.

I don't think that you need to verify something here:

1) I verified that we don't generate pretty named source stamp files on ftp anymore
2) End users has nothing to do with this files

Thanks!
Comment 23 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-07-11 10:47:32 PDT
Okay, thanks Rail. Marking qa- to remove from my queries.

Note You need to log in before you can comment on or make changes to this bug.